AnsweredAssumed Answered

LCPScrypt 1.8.2 not working on ubuntu 16.04?

Question asked by Francois Poucheret on Sep 12, 2017
Latest reply on Oct 24, 2017 by Aghogho Obi

Hi,

I try to update the debugger firmware as described on Appendix B of Getting Started with SDK v2.0 for LPC546xx Derivatives.pdf.

I close the J5 and I reset the board. The DFU link is created. I can see the ttyACM0 in dev/

 

I am under ubuntu 16.04 (Linux DELL 4.10.0-33-generic #37~16.04.1-Ubuntu), I cannot  use LPCScrypt 1.8.2 with LPCXpresso54608.

I have installed it correctly, I have copied the udev rules.

Then, I try to launch the /scripts/program_CMSIS or program_JLINK but it still pending...

 

Linux shell example:

LPCScrypt - Commandline Environment v1.8.2 April 2017.

Connect target via USB then press Space.
Booting LPCScrypt
(ignoring exit dfu-util code 1 after successful operation)
................................................

 

 

On windows 7, everything is fine. I can launch the scripts, update  and play commands on LPCScrypt_CLI

I do not understand.

If someone has an idea how I can fix that to use LPCScrypt on Ubuntu with LPCXpresso board, It would be wonderful. Thanks a lot.

fp

Outcomes